# ic.py
# lecture d'un fichier sur l'entree standard
# et calcule l'IC.

import string
import sys
ALPHA = string.ascii_uppercase
N = 26

#======================================
def lit_stdin():
    entree = ""
    leTexte = sys.stdin.readlines()
    for i in range(len(leTexte)):
        entree += leTexte[i]
    flux_entre = ""
    for car in entree:
        if car.upper() in ALPHA:
            flux_entre += car.upper()
    return flux_entre
#======================================
def ic(texte):
    lg = len(texte)
    freq = [0] * 26
    for i in range(lg):
        idx = ALPHA.find(texte[i])
        freq[ idx ] += 1
    total = 0
    for i in range(N):
        if freq[i] >= 2:
            total += freq[ i ] * (freq[i] - 1)
    return total / (lg * (lg-1))
#======================================
texte = lit_stdin()
print("%6.4f" % (ic(texte)))

